Subject: Re: [PATCH v6 05/16] Prepare the builtins for a libified merge_recursive()

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Aug 2016 11:40:39 -0700

Johannes Schindelin <[email-masked]> writes:

> Previously, callers of merge_trees() or merge_recursive() expected that
> code to die() with an error message. This used to be okay because we
> called those commands from scripts, and had a chance to print out a
> message in case the command failed fatally (read: with exit code 128).
>
> As scripting incurs its own set of problems (portability, speed,
> idiosynchracies of different shells, limited data structures leading to

I think I typofixed this when I queued the previous one on 'pu'
already, but s/synch/sync/;